An error occurs when upgrading Message Queuing Management Pack for Operations Manager 2007

When upgrading MSMQ Management Pack to version 6.0.6615.0, you might receive the following error:
The requested management pack was invalid. See inner exception for details.
Parameter name: managementPack

In addition, the following events are written to the Operations Manager log on the SCOM Root Management Server:

Event Type: Error
Event Source: OpsMgr SDK Service
Event ID: 26319
Description:
An exception was thrown while processing ImportManagementPack for session id uuid:6e44bef7-2a3a-4304-9443-d7cbf155c41b;id=326.
Exception Message: The creator of this fault did not specify a Reason.
Full Exception: System.ServiceModel.FaultException`1[Microsoft.EnterpriseManagement.Common.ManagementPackException]: The creator of this fault did not specify a Reason. (Fault Detail is equal to : Verification failed with [1] errors:
-------------------------------------------------------
Error 1:
: Could not load ManagementPack [ID=Microsoft.MSMQ.Library, Keytoken=31bf3856ad364e35, Version=6.0.6615.0]. ManagementPack not found in the store.
Version mismatch. For ManagementPack [[Microsoft.MSMQ.Library, 31bf3856ad364e35, 6.0.6587.0]] requested version from the database was [6.0.6615.0], and actual version available is [6.0.6587.0]
-------------------------------------------------------

Could not load ManagementPack [ID=Microsoft.MSMQ.Library, Keytoken=31bf3856ad364e35, Version=6.0.6615.0]. ManagementPack not found in the store.Version mismatch. For ManagementPack [[Microsoft.MSMQ.Library, 31bf3856ad364e35, 6.0.6587.0]] requested version from the database was [6.0.6615.0], and actual version available is [6.0.6587.0]).

Event Type: Error
Event Source: OpsMgr SDK Service
Event Category: None
Event ID: 26319
Description:
An exception was thrown while processing ImportManagementPack for session id uuid:6e44bef7-2a3a-4304-9443-d7cbf155c41b;id=326.
Exception Message: The creator of this fault did not specify a Reason.
Full Exception: System.ServiceModel.FaultException`1[Microsoft.EnterpriseManagement.Common.ManagementPackException]: The creator of this fault did not specify a Reason. (Fault Detail is equal to : ManagementPack Version [6.0.6615.0] is not upgrade compatible with older version [6.0.6587.0]. Compatibility check failed with 1 errors:
-------------------------------------------------------
Error 1:
: SecureReference: [Microsoft.MSMQ.QueueAccessProfile] is not upgrade compatible.
[SecureReference]: [Microsoft.MSMQ.QueueAccessProfile] exists in current version [6.0.6587.0] of ManagementPack but does not exist in the new version [6.0.6615.0].
-------------------------------------------------------

This issue is caused by the fact that any existing MSMQ Management Pack should be removed prior upgrade to the 6.0.6615.0 version. Message Queuing Management Pack Guide does not include this information (at the time when this blog post was created).

Advertisements
An error occurs when upgrading Message Queuing Management Pack for Operations Manager 2007

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s